@echo on
rem on recupere le chemin depuis lequel le script est lance
rem script cr par William Sayer le 18 mars 2018
set chemin=%~dp0

set dirLog=\\tartare\msi$\log\fusioninventory-agent\
set log=%dirLog%%COMPUTERNAME%.txt
set logiciel=FUSION INVENTORY
set cheminocsx86="%ProgramFiles%\OCS Inventory Agent"
set cheminocsx64="%ProgramFiles(x86)%\OCS Inventory Agent"
set cheminprofildatawxp="%ALLUSERSPROFILE%\Application Data\OCS Inventory NG"
set cheminprofildataw7="%ProgramData%\OCS Inventory NG"
set OcsService="OCS Inventory Service"
net use b: \\tartare\msi$ /y

goto start

:start

echo verification de la condition si le chemin documents and settings existe >> %log%
if not "%HOMEPATH%" == "\Documents and Settings\%USERNAME%" goto verif_install_w7

:verif_install_w7
echo verification de l'identifiant processeur de la machine >> %log%
if not "%PROCESSOR_ARCHITECTURE%" == "x86" goto install_w7_64

:install_xp
echo vrification si %logiciel% est installe >> %log%
if exist "%ProgramFiles%\FusionInventory-Agent\fusioninventory-agent.bat" goto :pasinstall
echo -------------------------------------------------------------------------------- >> %log%
echo Installation de FusionInventory sur %COMPUTERNAME% pour %USERNAME% le %date% >> %log%
rem on install le logiciel en mode silencieux.
echo Installation de l'application pour Windows XP
echo Installation de l'application pour Windows XP >> %log%
"%chemin%\fusioninventory-agent_windows-x86_2.4.2.exe" /S /installtasks="full" /acceptlicense /server="http://glpi.atilf.fr/glpi/plugins/fusioninventory" /runnow
echo Installation effectue. Configuration en cours... >> %log%
echo. >>%log%
echo FusionInventory est configure ! >> %log%
echo -------------------------------------------------------------------------------- >> %log%
echo. >>%log%
goto supprocs

:install_w7
echo vrification si %logiciel% est installe >> %log%
if exist "%ProgramFiles%\FusionInventory-Agent\fusioninventory-agent.bat" goto :pasinstall
echo -------------------------------------------------------------------------------- >> %log%
echo Installation de FusionInventory sur %COMPUTERNAME% pour %USERNAME% le %date% >> %log%
rem on install le logiciel en mode dilencieux.
echo Installation de l'application pour Windows 7 32bits
echo Installation de l'application pour Windows 7 32bits >> %log%
"%chemin%\fusioninventory-agent_windows-x86_2.4.2.exe" /S /installtasks="full" /acceptlicense /server="http://glpi.atilf.fr/glpi/plugins/fusioninventory" /runnow
echo Installation effectue. Configuration en cours... >> %log%

echo. >>%log%
echo FusionInventory est configure ! >> %log%
echo -------------------------------------------------------------------------------- >> %log%
echo. >>%log%
goto supprocs

:install_w7_64
echo vrification si %logiciel% est installe >> %log%
if exist "%ProgramFiles%\FusionInventory-Agent\fusioninventory-agent.bat" goto :pasinstall
echo -------------------------------------------------------------------------------- >> %log%
echo Installation de FusionInventory sur %COMPUTERNAME% pour %USERNAME% le %date% >> %log%
rem on install le logiciel en mode dilencieux.
echo Installation de l'application pour Windows 7 64bits
echo Installation de l'application pour Windows 7 64bits >> %log%
"%chemin%\fusioninventory-agent_windows-x64_2.4.2.exe" /S /installtasks="full" /acceptlicense /server="http://glpi.atilf.fr/glpi/plugins/fusioninventory" /runnow
echo Installation effectue. Configuration en cours... >> %log%

echo. >>%log%
echo FusionInventory est configure ! >> %log%
echo -------------------------------------------------------------------------------- >> %log%
echo. >>%log%
rem if %errorlevel% EQU 0 && installation reussi >> %log% 
goto supprocs


:pasinstall
echo -------------------------------------------------------------------------------- >> %log%
echo dmarrer sur %COMPUTERNAME% le %date%  %time% >> %log%
echo %logiciel% %VERSION% est deja installe >> %log%
echo vrification si ocsinventory-ng est installe >> %log%

goto supprocs

:supprocs
echo verification de la condition si le chemin documents and settings existe >> %log%
if not "%HOMEPATH%" == "\Documents and Settings\%USERNAME%" goto verif_w7

:supprocs_wxp
echo Desinstallation de l'application OCS INVENTORY pour Windows XP
echo Desinstallation de l'application OCS INVENTORY pour Windows XP >> %log%
sc stop %OcsService%
"%ProgramFiles%\OCS Inventory Agent\uninst.exe" /S
IF EXIST %cheminocsx86% (RMDIR /S /Q %cheminocsx86%)
IF EXIST c:\ocs-ng (RMDIR /S /Q c:\ocs-ng)   
IF EXIST c:\ocs-ng (RMDIR /S /Q %cheminocsx86%)
IF EXIST %cheminprofildatawxp% (RMDIR /S /Q %cheminprofildatawxp%)
goto end

:verif_w7
echo verification de l'identifiant processeur de la machine >> %log%
if not "%PROCESSOR_ARCHITECTURE%" == "x86" goto supprocs_w7_64

:supprocs_w7
echo Desinstallation de l'application OCS INVENTORY pour Windows 7 32bits
echo Desinstallation de l'application OCS INVENTORY pour Windows 7 32bits >> %log%
sc stop %OcsService%
"%ProgramFiles%\OCS Inventory Agent\uninst.exe" /S
IF EXIST %cheminocsx86% (RMDIR /S /Q %cheminocsx86%)
IF EXIST c:\ocs-ng (RMDIR /S /Q c:\ocs-ng)   
IF EXIST c:\ocs-ng (RMDIR /S /Q %cheminocsx86%)
IF EXIST %cheminprofildataw7% (RMDIR /S /Q %cheminprofildataw7%)
goto end

:supprocs_w7_64
echo Desinstallation de l'application OCS INVENTORY pour Windows 7 64bits
echo Desinstallation de l'application OCS INVENTORY pour Windows 7 64bits >> %log%
sc stop %OcsService%
"%ProgramFiles(x86)%\OCS Inventory Agent\uninst.exe" /S 
IF EXIST %cheminocsx64% (RMDIR /S /Q %cheminocsx64%)
IF EXIST c:\ocs-ng (RMDIR /S /Q c:\ocs-ng)   
IF EXIST c:\ocs-ng (RMDIR /S /Q %cheminocsx64%)
IF EXIST %cheminprofildataw7% (RMDIR /S /Q %cheminprofildataw7%)
goto end

:end
cmd /c net use b: /delete

echo fin du script >> %log%
@echo.>> %log%
rem exit 0
